From b470b50e1509f582abeeda59bfb9ffbb8ab20716 Mon Sep 17 00:00:00 2001
From: Mathieu Parent <math.parent@gmail.com>
Date: Thu, 1 Aug 2019 00:17:31 +0200
Subject: [PATCH] Detect architecture automatically on newer dpkg-buildpackage

Detected by https://salsa.debian.org/samba-team/samba/-/jobs/247553
---
 bin/blhc | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/bin/blhc b/bin/blhc
index d9a3bb2..8eaf2f5 100755
--- a/bin/blhc
+++ b/bin/blhc
@@ -964,6 +964,10 @@ foreach my $file (@ARGV) {
                 $arch = substr $arch, 3;
             }
         }
+        if (not $arch
+                and index($line, 'dpkg-buildpackage: info: host architecture ') == 0) {
+            $arch = substr $line, 43, -1; # -1 to ignore '\n' at the end
+        }
 
         next if $line =~ /^\s*#/;
         # Ignore compiler warnings for now.
-- 
2.20.1

